## subnetcalc 2.1.1

=== debian/changelog ===
subnetcalc (2.1.1-2) unstable; urgency=low

  * Upstream version update with support for libgeoip.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 30 Jun 2010 17:23:11 +0200

subnetcalc (2.0.4-1) unstable; urgency=low

  * Turned off DH_VERBOSE.
  * Updated Homepage to homepage of SubNetCalc.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 10 Jun 2009 22:29:32 +0200

subnetcalc (2.0.3-1) unstable; urgency=low

  * Initial Debian release (Closes: #531710).
  * Initial Ubuntu release (LP: #325653).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Jun 2009 22:59:32 +0200
