## subnetcalc 2.1.2

=== debian/changelog ===
subnetcalc (2.1.2-1) unstable; urgency=low

  * New upstream version with fixes for FreeBSD build scripts.
  * Updated standards version.
  * New upstream version bug closed (Closes: #591381).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Aug 2010 21:38:38 +0200
