=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1   # [TD: Turned off -- must be commented out!]
export DH_OPTIONS
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	cp /usr/share/misc/config.sub config.sub
	cp /usr/share/misc/config.guess config.guess
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	       --with-geoip \
               --build=$(DEB_BUILD_GNU_TYPE) \
               --prefix=/usr --mandir=\$${prefix}/share/man \
               --infodir=\$${prefix}/share/info \
               CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


#Architecture
build: build-arch    # build-indep   [TD: build-indep not necessary]

build-arch: build-arch-stamp
build-arch-stamp:  config.status
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean

install: install-arch   # install-indep   [TD: install-indep not necessary]
install-indep:
	dh_testdir
	dh_testroot
#	dh_clean -k -i
	dh_installdirs -i
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
#	dh_clean -k -s
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch   # binary-indep   [TD: binary-indep not necessary]
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
