## subnetcalc 2.1.3

=== debian/changelog ===
subnetcalc (2.1.3-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:00 +0000

subnetcalc (2.1.3-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Dec 2014 13:11:59 -0500

subnetcalc (2.1.3-1) unstable; urgency=high

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 7 using tiny rules.
  * debian/control:
    Applied wrap-and-sort script to wrap lines and sort dependencies.
    Updated standards version to 3.9.2.
  * New upstream version bug closed (Closes: #625081).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 04 May 2011 07:07:07 +0100

subnetcalc (2.1.2-1) maverick; urgency=low

  * New upstream version with fixes for FreeBSD build scripts.
  * Updated standards version.
  * New upstream version bug closed (Closes: #591381).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Aug 2010 21:38:38 +0200

subnetcalc (2.1.1-2) maverick; urgency=low

  * Upstream version update with support for libgeoip.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 30 Jun 2010 17:23:11 +0200
