=== debian/watch ===
version=3
http://www.iem.uni-due.de/~dreibh/subnetcalc/index.html    download/subnetcalc-(.*)\.tar\.gz
