## subnetcalc 2.4.13

=== debian/changelog ===
subnetcalc (2.4.13-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:26:18 +0100

subnetcalc (2.4.13-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 17:40:55 +0200

subnetcalc (2.4.12-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 25 Jul 2019 15:09:24 +0200

subnetcalc (2.4.11-1) disco; urgency=medium

  * New upstream version.
  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

subnetcalc (2.4.10-1) cosmic; urgency=low

  * New upstream version.
  * debian/upstream/metadata: added metadata file.
  * debian/tests/control: added tests control file.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Oct 2018 08:08:08 +0800

subnetcalc (2.4.9-1) bionic; urgency=low

  * New upstream version.
  * debian/rules: Change from autoconf/automake to cmake.
  * debian/control: Change from autoconf/automake to cmake.
  * debian/control: Updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 07 Jun 2018 08:08:08 +0800

subnetcalc (2.4.8-1) bionic; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 29 Oct 2017 08:08:08 +0800

subnetcalc (2.4.7-1) artful; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 08:08:08 +0800

subnetcalc (2.4.6-1) artful; urgency=low

  * New upstream version.
  * debian/watch: URL update
  * debian/control: URL update

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 08:08:08 +0800

subnetcalc (2.4.5-1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 04 Nov 2016 08:08:08 +0800

subnetcalc (2.4.4-1) xenial; urgency=low

  * New upstream version.
  * debian/control: Updated standards version.
  * debian/control: added dependency dpkg-dev for hardening options.
  * debian/copyright: fix for machine-readable format.
  * debian/rules: using buildflags.mk for hardening options.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 04 Apr 2016 08:08:08 +0800

subnetcalc (2.4.3-1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 27 Oct 2015 08:08:08 +0800

subnetcalc (2.4.2-1) wily; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 11 May 2015 08:08:08 +0800

subnetcalc (2.4.1-1) vivid; urgency=low

  * debian/copyright: changed to machine-readable format.
  * debian/control: updated standards version.
  * debian/watch: added pgpsigurlmangle option.
  * debian/upstream/signing-key.asc: added upstream public key.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 01 Mar 2015 08:08:08 +0800

subnetcalc (2.3.1-1) utopic; urgency=low

  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 28 Jul 2014 08:08:08 +0800

subnetcalc (2.2.1-1) trusty; urgency=low

  * debian/subnetcalc.manpages: Changed manpage category from 8 to 1.
  * debian/control: now compiling with colorgcc.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 13 Mar 2014 08:08:08 +0800

subnetcalc (2.1.3-1) oneiric; urgency=high

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 7 using tiny rules.
  * debian/control:
    Applied wrap-and-sort script to wrap lines and sort dependencies.
    Updated standards version to 3.9.2.
  * New upstream version bug closed (Closes: #625081).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 04 May 2011 07:07:07 +0100
