=== debian/control ===
--- 
+++ 
@@ -2,14 +2,25 @@
 Section: net
 Priority: optional
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
-Homepage: http://www.iem.uni-due.de/~dreibh/subnetcalc/
-Build-Depends: debhelper (>= 5), autotools-dev, libgeoip-dev
-Standards-Version: 3.9.1
+Homepage: https://www.uni-due.de/~be0001/subnetcalc/
+Build-Depends: cmake (>= 3.0.2) | cmake3,
+               debhelper (>= 12),
+               libfile-fcntllock-perl,
+               libgeoip-dev,
+               pkg-config
+Standards-Version: 4.4.0.1
+Vcs-Git: https://github.com/dreibh/subnetcalc.git
+Vcs-Browser: https://github.com/dreibh/subnetcalc
 
 Package: subnetcalc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: traceroute, iputils-tracepath, iputils-ping, rsplib-tools, whois
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: iputils-ping,
+            iputils-tracepath,
+            rsplib-tools,
+            traceroute,
+            whois
 Description: IPv4/IPv6 Subnet Calculator
  SubNetCalc is an IPv4/IPv6 subnet address calculator. For given IPv4 or
  IPv6 address and netmask or prefix length, it calculates network address,
