=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.uni-due.de/~be0001/subnetcalc/index.html    download/subnetcalc-(.*)\.tar\.xz
