## subnetcalc 2.4.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "4")
-SET(BUILD_PATCH "13")
+SET(BUILD_PATCH "16")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
