=== debian/changelog ===
subnetcalc (2.4.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.2.
  * debian/tests: added simple test (Closes: #939058).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 18 May 2020 12:59:09 +0200

subnetcalc (2.4.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:27 +0100

subnetcalc (2.4.14-1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 14 Aug 2019 15:34:32 +0200

subnetcalc (2.4.13-1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 17:40:55 +0200

subnetcalc (2.4.12-1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 25 Jul 2019 15:09:24 +0200
