=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: https://www.uni-due.de/~be0001/subnetcalc/
 Build-Depends: cmake (>= 3.0.2) | cmake3,
-               debhelper (>= 12),
+               debhelper (>= 13),
                libfile-fcntllock-perl,
                libgeoip-dev,
                pkg-config
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.0.2
+Rules-Requires-Root: binary-targets
 Vcs-Git: https://github.com/dreibh/subnetcalc.git
 Vcs-Browser: https://github.com/dreibh/subnetcalc
