=== debian/changelog ===
subnetcalc (2.4.19-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.
  * debian/control: Dependency update (Closes: #737575).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Nov 2021 20:10:38 +0100
