=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: https://www.uni-due.de/~be0001/subnetcalc/
-Build-Depends: cmake (>= 3.0.2) | cmake3,
-               debhelper (>= 13),
+Build-Depends: cmake (>= 3.0.2),
+               debhelper-compat (= 13),
                libfile-fcntllock-perl,
                libgeoip-dev,
                pkg-config
-Standards-Version: 4.5.0.2
-Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Vcs-Git: https://github.com/dreibh/subnetcalc.git
 Vcs-Browser: https://github.com/dreibh/subnetcalc
 
@@ -17,10 +17,10 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: iputils-ping,
-            iputils-tracepath,
+Recommends: iputils-tracepath,
+            ping | iputils-ping,
             rsplib-tools,
-            traceroute,
+            traceroute | inetutils-traceroute,
             whois
 Description: IPv4/IPv6 Subnet Calculator
  SubNetCalc is an IPv4/IPv6 subnet address calculator. For given IPv4 or
