=== debian/changelog ===
subnetcalc (2.4.21-1) unstable; urgency=medium

  * New upstream release (Closes: #1023302).
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:34:02 +1100
