=== debian/changelog ===
subnetcalc (2.4.23-1build1) noble; urgency=high

  * No change rebuild against libgeoip1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:02:03 +0200

subnetcalc (2.4.23-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:48:06 +0100
