=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: subnetcalc
 Section: net
 Priority: optional
-Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
 Homepage: https://www.nntb.no/~dreibh/subnetcalc/
-Build-Depends: cmake (>= 3.0.2),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               libfile-fcntllock-perl,
                libgeoip-dev,
                pkg-config
 Standards-Version: 4.6.2
