=== debian/changelog ===
subnetcalc (2.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.
  * Fix for output to stderr instead of stdout (Closes: #1061757).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 06 Jan 2025 21:44:09 +1300
