=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: subnetcalc
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
 Homepage: https://www.nntb.no/~dreibh/subnetcalc/
+Vcs-Git: https://github.com/dreibh/subnetcalc.git
+Vcs-Browser: https://github.com/dreibh/subnetcalc
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libgeoip-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               gettext,
+               libgeoip-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: subnetcalc
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: iputils-tracepath,
+Recommends: iproute2,
+            iputils-tracepath,
             ping | iputils-ping,
             rsplib-tools,
             traceroute | inetutils-traceroute,
