=== freebsd/subnetcalc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	subnetcalc
-DISTVERSION=	2.6.2
+DISTVERSION=	2.6.4
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/subnetcalc/download/
