=== debian/changelog ===
subnetcalc (2.6.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 27 Apr 2025 20:28:36 +0200
